\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,0.1) rectangle (-1.5,7.6);
\fill [line width=1.5pt,color=A2,fill=A2](-2,1) arc(0:360:2cm and 0.5cm);
\fill [line width=1.5pt,color=G2,fill=G2](-3,7) arc(0:360:1cm and 0.25cm);
\draw [line width=1.5pt, mydashed](-2,1) arc(0:180:2cm and 0.5cm);
\draw [line width=1.5pt, mydashed](-4,1)--(-4,7);
\draw [line width=1.5pt](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt](-3,7) arc(0:-180:1cm and 0.25cm);
\draw [line width=1.5pt, mydashed](-3,7) arc(0:180:1cm and 0.25cm);
\draw [line width=1.5pt] (-3,7)-- (-6,1);
\draw [line width=1.5pt] (-5,7)-- (-2,1);
\draw [line width=1.5pt,mydashed] (-3,0.625)-- (-4.5,7.175);
\draw [line width=1.5pt] (-4,7)-- (-4.5,7.175);
\draw [line width=1.5pt,mydashed] (-3,0.625)-- (-4,1);
\begin{Large}
\draw[color=black] (-3,0.35) node {$A$};
\draw[color=black] (-4,0.75) node {$K$};
\draw[color=black] (-4.25,5) node {$S$};
\draw[color=black] (-3.75,7) node {$I$};
\draw[color=black] (-4.75,7.425) node {$B$};
\end{Large}
\end{tikzpicture}
\end{document}